LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 11-02-2006, 05:18 AM   #1
gimmee
Member
 
Registered: Jul 2006
Location: New Zealand
Distribution: Fedora 17 64bit (Desktop) Fedora 15 (Laptop)
Posts: 98

Rep: Reputation: 16
Smile YUM no module named yum


Hi all

I tried to do an uprade on Kino with YUM and it come up with the message below.

I have used yum lots of times the last couple of months reasonably successfully but painfully slow on dial up.

yum
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

No module named yum

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.3 (#1, Jun 13 2006, 11:46:22)
[GCC 4.1.1 20060525 (Red Hat 4.1.1-1)]

If you cannot solve this problem yourself, please go to
the yum faq at:
http://wiki.linux.duke.edu/YumFaq

To get Tovid to work I had to do something with phyton and links. Tovid works but maybe I stuffed something u.

Can I reinstall yum off my FC5 DVD?

Look forward to any help you can give on this one

gimmee

Last edited by gimmee; 11-02-2006 at 05:19 AM.
 
Old 11-02-2006, 12:07 PM   #2
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
Download the source rpm file for yum from Fedora Core 5 updates site and as root build the new binary package then install it (you do not need the devel and debug rpm packages).

http://download.fedora.redhat.com/pu...-0.fc5.src.rpm

rpmbuild --rebuild --recompile --define 'dist .fc5' yum-2.6.1-0.fc5.rpm

Last edited by Lenard; 11-02-2006 at 12:08 PM.
 
Old 11-02-2006, 11:06 PM   #3
gimmee
Member
 
Registered: Jul 2006
Location: New Zealand
Distribution: Fedora 17 64bit (Desktop) Fedora 15 (Laptop)
Posts: 98

Original Poster
Rep: Reputation: 16
Hi there

Thanks for that reply.

Just on the rpmbuild command what does --define 'dist .fc5' do and do I have to change it for 64bit FC5

Cheers

Last edited by gimmee; 11-02-2006 at 11:07 PM.
 
Old 11-03-2006, 06:21 AM   #4
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
No you do not have change it for 64-bit. The define 'dist .fc5' adds the fc5 extension or what you specify to the package filenames. If you have a look at the spec file, you would see a line like; Release: 0.2%{?dist}
 
Old 11-13-2006, 06:48 PM   #5
gimmee
Member
 
Registered: Jul 2006
Location: New Zealand
Distribution: Fedora 17 64bit (Desktop) Fedora 15 (Laptop)
Posts: 98

Original Poster
Rep: Reputation: 16
Hi there

I get this long error

root@localhost temp]# rpm -ivh yum-2.6.1-0.fc5.noarch.rpm
Preparing... ########################################### [100%]
file /usr/lib/python2.4/site-packages/repomd/__init__.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/__init__.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/mdErrors.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/mdErrors.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/mdUtils.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/mdUtils.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/packageObject.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/packageObject.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/packageSack.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/packageSack.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/repoMDObject.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/repoMDObject.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/test.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/repomd/test.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/__init__.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/__init__.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/arch.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/arch.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/miscutils.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/miscutils.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/transaction.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/transaction.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/updates.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/rpmUtils/updates.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/Errors.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/Errors.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/__init__.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/__init__.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/__init__.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/comps.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/comps.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/config.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/config.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/config.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/constants.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/constants.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/depsolve.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/depsolve.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/failover.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/failover.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/logger.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/logger.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/mdcache.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/mdcache.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/mdparser.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/mdparser.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/misc.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/misc.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/packages.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/packages.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/parser.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/parser.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/pgpmsg.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/pgpmsg.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/plugins.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/plugins.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/repos.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/repos.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/repos.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/sqlitecache.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/sqlitecache.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/sqlitesack.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/sqlitesack.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/sqlitesack.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/transactioninfo.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/transactioninfo.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/update_md.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/python2.4/site-packages/yum/update_md.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/yum-plugins/installonlyn.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/yum-plugins/installonlyn.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/lib/yum-plugins/installonlyn.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/man/man8/yum.8.gz from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/callback.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/callback.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/cli.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/cli.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/cli.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/i18n.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/i18n.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/output.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/output.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/output.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/progress_meter.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/progress_meter.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/pullheaders.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/pullheaders.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/serverStuff.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/serverStuff.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/shell.py from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/shell.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/shell.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/translate.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/translate.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/yummain.pyc from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
file /usr/share/yum-cli/yummain.pyo from install of yum-2.6.1-0.fc5 conflicts with file from package yum-2.6.0-1
[root@localhost temp]#

Any help muchly appreciated

Gimmee
 
Old 11-14-2006, 06:03 AM   #6
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
Try one of the following;

rpm -Uvh yum-2.6.1-0.fc5.noarch.rpm --replacefiles
rpm -Uvh yum-2.6.1-0.fc5.noarch.rpm --replacepkgs
rpm -Uvh yum-2.6.1-0.fc5.noarch.rpm --oldpackage
rpm -Uvh yum-2.6.1-0.fc5.noarch.rpm --force
 
Old 11-21-2006, 02:45 PM   #7
gimmee
Member
 
Registered: Jul 2006
Location: New Zealand
Distribution: Fedora 17 64bit (Desktop) Fedora 15 (Laptop)
Posts: 98

Original Poster
Rep: Reputation: 16
Hi there

Finally got it all working. I installed yum using

rpm -Uvh yum-2.6.1-0.fc5.noarch.rpm

Started yum and it got a little further but complained about missing something called elementtree. I queried it rpm -q elementtree, and it was installed but from a few messages on the net I found out the following and I ended up removing

rpm -e pirut
rpm -e yumex
rpm -e yum
rpm -e python-urlgrabber
rpm -e python-sqlite
rpm -e python-elementtree

I then rebooted. Ah still got those bad window habits.

Downloaded the latest of the above (except pirut and yumex) and installed

rpm -Uvh python-elementtree
rpm -Uvh python-sqlite
rpm -Uvh python-urlgrabber
rpm -Uvh yum

Ya yum working again

Thanks for all the help

Last edited by gimmee; 11-21-2006 at 02:47 PM.
 
Old 12-06-2006, 03:43 PM   #8
storpappa
LQ Newbie
 
Registered: Dec 2006
Distribution: Fedora Core 4
Posts: 15

Rep: Reputation: 0
Thanlks the -e and then reinstall helped fix an issue I had with dependencies installing but yum not working once launched...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
problem after yum yum yum (delicious) alaios Fedora 3 01-14-2009 02:34 AM
broken yum - "No module named yum" shihab-alain Linux - Software 2 05-10-2006 05:09 AM
Yum Problem - /var/cache/yum/base/primary.xml.gz:1 ice99 Linux - Software 0 12-15-2005 01:08 PM
Query re: order of yum update and yum install jajtiii Linux - General 0 12-12-2005 12:48 PM
Yum Errors in parsing, whats wrong here (yum.conf pasted) thejokker Linux - Newbie 1 06-15-2004 02:28 AM


All times are GMT -5. The time now is 07:00 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration